Name:           zaz
Version:        1.0.0
Release:        14%{?dist}
Summary:        A puzzle game where the player has to arrange balls in triplets

# Music released under CC-BY-SA
License:        GPLv3+ and CC-BY-SA
URL:            http://sourceforge.net/projects/zaz/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:  mesa-libGL-devel
BuildRequires:  SDL_image-devel
BuildRequires:  libtheora-devel
BuildRequires:  libvorbis-devel
BuildRequires:  ftgl-devel  >= 2.1.3
BuildRequires:  gettext
BuildRequires:  ImageMagick
BuildRequires:  desktop-file-utils
Requires:       gnu-free-mono-fonts
Requires:       gnu-free-sans-fonts
Requires:       oflb-dignas-handwriting-fonts


%description
Zaz is an arcade action puzzle game where the goal is to get rid of all 
incoming balls by rearranging their order and making triplets.

A 3D accelerator is needed for decent gameplay.


%prep
%setup -q

# Fix permissions
chmod 644 src/*.{cpp,h}


%build
LDFLAGS=-lvorbis
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Symlink system fonts
rm $RPM_BUILD_ROOT%{_datadir}/%{name}/FreeMonoBold.ttf
ln -s %{_datadir}/fonts/gnu-free/FreeMonoBold.ttf \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/FreeMonoBold.ttf
rm $RPM_BUILD_ROOT%{_datadir}/%{name}/FreeSans.ttf
ln -s %{_datadir}/fonts/gnu-free/FreeSans.ttf \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/FreeSans.ttf
rm $RPM_BUILD_ROOT%{_datadir}/%{name}/font1.ttf
ln -s %{_datadir}/fonts/oflb-dignas-handwriting/phranzysko_-_Digna_s_Handwriting.ttf \
    $RPM_BUILD_ROOT%{_datadir}/%{name}/font1.ttf

# Remove docs
rm -r $RPM_BUILD_ROOT/usr/share/doc/

# Convert xpm icon to png to appease appdata
convert $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.xpm \
  $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png
rm $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.xpm

# Register as an application to be visible in the software center
#
# NOTE: It would be *awesome* if this file was maintained by the upstream
# project, translated and installed into the right place during `make install`.
#
# See http://www.freedesktop.org/software/appstream/docs/ for more details.
#
mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
cat > $RPM_BUILD_ROOT%{_datadir}/appdata/%{name}.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> -->
<!--
BugReportURL: https://sourceforge.net/p/zaz/discussion/996643/thread/b803210f/
SentUpstream: 2014-09-25
-->
<application>
  <id type="desktop">zaz.desktop</id>
  <metadata_license>CC0-1.0</metadata_license>
  <summary>Rearrange flowing balls to make triplets</summary>
  <description>
    <p>
      Zaz is a mouse-operated arcade puzzle game where balls have to be
      rearranged by quickly pulling one out of the sequence and allowing it to
      jump back in in a different place.
      Triplets "explode" and delay the inevitable moment when there are too many
      balls and the player loses.
    </p>
  </description>
  <url type="homepage">http://sourceforge.net/projects/zaz/</url>
  <screenshots>
    <screenshot width="642" height="520" type="default">http://in.waw.pl/~zbyszek/fedora/Zaz_easy_level.png</screenshot>
    <screenshot width="642" height="520" >http://in.waw.pl/~zbyszek/fedora/Zaz_hard_level.png</screenshot>
    <screenshot width="642" height="520" >http://in.waw.pl/~zbyszek/fedora/Zaz_main_menu.png</screenshot>
    <screenshot width="642" height="520" >http://in.waw.pl/~zbyszek/fedora/Zaz_splashscreen.png</screenshot>
  </screenshots>
</application>
EOF

# Validate desktop file
desktop-file-validate \
   $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name}


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%doc AUTHORS ChangeLog COPYING data/copyright.txt


%changelog
* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.0.0-13
- Rebuilt for GCC 5 C++11 ABI change

* Thu Mar 26 2015 Richard Hughes <rhughes@redhat.com> - 1.0.0-12
- Add an AppData file for the software center

* Fri Dec 19 2014 Andrea Musuruane <musuruan@gmail.com> - 1.0.0-11
- Converted xpm icon to png to appease appdata (#1175972)

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 14 2014 Andrea Musuruane <musuruan@gmail.com> - 1.0.0-9
- Fix FTBFS (#510432)
- Dropped obsolete Group, Buildroot, %%clean and %%defattr

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-4
- Rebuilt for c++ ABI breakage

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Sep 04 2010 Andrea Musuruane <musuruan@gmail.com> 1.0.0-1
- Updated to upstream 1.0.0

* Thu Jul 22 2010 Andrea Musuruane <musuruan@gmail.com> 0.8.0-1
- Updated to upstream 0.8.0

* Sat May 08 2010 Andrea Musuruane <musuruan@gmail.com> 0.7.0-1
- Updated to upstream 0.7.0

* Thu Feb 25 2010 Andrea Musuruane <musuruan@gmail.com> 0.3.3-1
- Updated to upstream 0.3.3

* Tue Dec 22 2009 Andrea Musuruane <musuruan@gmail.com> 0.3.0-3
- Consistent use of macros
- Fixed typo

* Wed Dec 09 2009 Andrea Musuruane <musuruan@gmail.com> 0.3.0-2
- Now Requires renamed Digna font package (BZ #542461)

* Sun Nov 29 2009 Andrea Musuruane <musuruan@gmail.com> 0.3.0-1
- First release

